import Toast from "./../../../../Toast";
import locale from "./../../../../locale";
// 测试使用
// import Toast from 'seedsui-react/lib/Toast'
// import locale from 'seedsui-react/lib/locale'

import getRangeDates from "./../../getRangeDates";

// 计算区间, 区间内
function validateDaysLimit(value, _ref) {
  var daysLimit = _ref.daysLimit,
    onError = _ref.onError;
  if (!daysLimit) return value;
  var _getRangeDates = getRangeDates(value),
    startDate = _getRangeDates.startDate,
    endDate = _getRangeDates.endDate;
  if (!startDate || !endDate) {
    return value;
  }
  var diff = startDate.diff(endDate);
  if (diff.days > daysLimit) {
    var errMsg = locale("\u81EA\u5B9A\u4E49\u65F6\u95F4\u533A\u95F4\u4E0D\u80FD\u8D85\u8FC7".concat(daysLimit, "\u5929"), 'hint_error_datepopover_custom_date_range_timeout', [daysLimit]);
    if (onError) {
      onError({
        errMsg: errMsg,
        daysLimit: daysLimit,
        value: value
      });
    } else {
      Toast.show({
        content: errMsg,
        maskClickable: true
      });
    }
    return false;
  }
  return value;
}
export default validateDaysLimit;